import request from '@/utils/request'

export function openFetchTask(params) {
  return request({
    url: process.env.PUTIN_API + '/material/fetch/task/open',
    method: 'POST',
    params
  })
}

export function delFetchTask(params) {
  return request({
    url: process.env.PUTIN_API + '/material/fetch/task/del',
    method: 'POST',
    params
  })
}

export function opPutinTask(params) {
  return request({
    url: process.env.PUTIN_API + '/putin/op/task',
    method: 'GET',
    params
  })
}

export function switchPutinAdvertise(params) {
  return request({
    url: process.env.PUTIN_API + '/putin/switch/putin/advertise',
    method: 'POST',
    params
  })
}

export function resetPutinStatus(params) {
  return request({
    url: process.env.PUTIN_API + '/putin/reset/status',
    method: 'POST',
    params
  })
}





